com.sap.conn.jco

## Enum JCoClassMetaData.JCoAttributeKind

- java.lang.Object
- - java.lang.Enum<JCoClassMetaData.JCoAttributeKind>
  - - com.sap.conn.jco.JCoClassMetaData.JCoAttributeKind

- All Implemented Interfaces:
    Serializable, Comparable<JCoClassMetaData.JCoAttributeKind>
  Enclosing interface:
    JCoClassMetaData

      public static enum JCoClassMetaData.JCoAttributeKind
      extends Enum<JCoClassMetaData.JCoAttributeKind>

  An enumeration of the possible or relevant attribute types. INSTANCE, CLASS, and CONSTANT represent instance, class (static), and constant (final) attributes, respectively.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS` Attribute is a class attribute, comparable to static in Java.
    `CONSTANT` Attribute is a constant attribute, comparable to final in Java.
    `INSTANCE` Attribute is an instance attribute.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCoClassMetaData.JCoAttributeKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCoClassMetaData.JCoAttributeKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final JCoClassMetaData.JCoAttributeKind INSTANCE

      Attribute is an instance attribute.

    - #### CLASS

          public static final JCoClassMetaData.JCoAttributeKind CLASS

      Attribute is a class attribute, comparable to static in Java.

    - #### CONSTANT

          public static final JCoClassMetaData.JCoAttributeKind CONSTANT

      Attribute is a constant attribute, comparable to final in Java.

  - ### Method Detail

    - #### values

          public static JCoClassMetaData.JCoAttributeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCoClassMetaData.JCoAttributeKind c : JCoClassMetaData.JCoAttributeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCoClassMetaData.JCoAttributeKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 SAP. All Rights Reserved.